regina::SnapPeaCensusTri Class Reference
Standard Triangulations and Subcomplexes

Represents a 3-manifold triangulation from the SnapPea cusped census. More...

`#include <subcomplex/snappeacensustri.h>`

Inheritance diagram for regina::SnapPeaCensusTri:

## Public Member Functions

SnapPeaCensusTri * | clone () const
| Returns a newly created clone of this structure. More...
char | section () const
| Returns the section of the SnapPea census to which this triangulation belongs. More...
unsigned long | index () const
| Returns the index of this triangulation within its particular section of the SnapPea census. More...
bool | operator== (const SnapPeaCensusTri &compare) const
| Determines whether this and the given structure represent the same triangulation from the SnapPea census. More...
bool | operator!= (const SnapPeaCensusTri &compare) const
| Determines whether this and the given structure represent different triangulations from the SnapPea census. More...
Manifold * | manifold () const
| Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented. More...
AbelianGroup * | homology () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the name of this triangulation as a human-readable string to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the name of this triangulation in TeX format to the given output stream. More...
std::string | name () const
| Returns the name of this specific triangulation as a human-readable string. More...
std::string | TeXName () const
| Returns the name of this specific triangulation in TeX format. More...
AbelianGroup * | homologyH1 () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
virtual void | writeTextShort (std::ostream &out) const
| Writes a short text representation of this object to the given output stream. More...
virtual void | writeTextLong (std::ostream &out) const
| Writes a detailed text representation of this object to the given output stream. More...
std::string | str () const
| Returns a short text representation of this object. More...
std::string | utf8 () const
| Returns a short text representation of this object using unicode characters. More...
std::string | detail () const
| Returns a detailed text representation of this object. More...

## Static Public Member Functions

static SnapPeaCensusTri * | isSmallSnapPeaCensusTri (const Component< 3 > *comp)
| Determines if the given triangulation component is one of the smallest SnapPea census triangulations. More...
static StandardTriangulation * | isStandardTriangulation (Component< 3 > *component)
| Determines whether the given component represents one of the standard triangulations understood by Regina. More...
static StandardTriangulation * | isStandardTriangulation (Triangulation< 3 > *tri)
| Determines whether the given triangulation represents one of the standard triangulations understood by Regina. More...

## Static Public Attributes

static const char | SEC_5
| Represents the collection of triangulations formed from five or fewer tetrahedra (both orientable and non-orientable). More...
static const char | SEC_6_OR
| Represents the collection of orientable triangulations formed from six tetrahedra. More...
static const char | SEC_6_NOR
| Represents the collection of non-orientable triangulations formed from six tetrahedra. More...
static const char | SEC_7_OR
| Represents the collection of orientable triangulations formed from seven tetrahedra. More...
static const char | SEC_7_NOR
| Represents the collection of non-orientable triangulations formed from seven tetrahedra. More...

## Friends

class | SnapPeaCensusManifold

## Detailed Description

Represents a 3-manifold triangulation from the SnapPea cusped census.

The SnapPea cusped census is the census of cusped hyperbolic 3-manifolds formed from up to seven tetrahedra. This census was tabulated by Callahan, Hildebrand and Weeks, and is shipped with SnapPea 3.0d3 (and also with Regina).

Note
  The modern cusped hyperbolic census now extends to nine tetrahedra, and indeed the 9-tetrahedron database is accessible through the Census lookup routines. However, for the time being, the scope of these SnapPeaCensusManifold and SnapPeaCensusTri classes is restricted to the original Callahan-Hildebrand-Weeks 7-tetrahedron census only.

The census is split into five different sections according to number of tetrahedra and orientability. Each of these sections corresponds to one of the section constants defined in this class.

For further details regarding the SnapPea census, see "A census of cusped hyperbolic 3-manifolds", Patrick J. Callahan, Martin V. Hildebrand and Jeffrey R. Weeks, Math. Comp. 68 (1999), no. 225, pp. 321–332.

Note that this class is closely tied to SnapPeaCensusManifold. In particular, the section constants defined in SnapPeaCensusManifold and SnapPeaCensusTri are identical, and so may be freely mixed. Furthermore, the section and index parameters of a SnapPeaCensusTri are identical to those of its corresponding SnapPeaCensusManifold.

All of the optional StandardTriangulation routines are implemented for this class.

## Member Function Documentation

## detail()

std::string regina::Output< StandardTriangulation , false >::detail | ( |  | ) | const

inherited

Returns a detailed text representation of this object.

This text may span many lines, and should provide the user with all the information they could want. It should be human-readable, should not contain extremely long lines (which cause problems for users reading the output in a terminal), and should end with a final newline. There are no restrictions on the underlying character set.

Returns
  a detailed text representation of this object.

## str()

std::string regina::Output< StandardTriangulation , false >::str | ( |  | ) | const

inherited

Returns a short text representation of this object.

This text should be human-readable, should fit on a single line, and should not end with a newline. Where possible, it should use plain ASCII characters.

Python:\n In addition to str(), this is also used as the
  Python "stringification" function `__str__()`.

Returns
  a short text representation of this object.

## utf8()

std::string regina::Output< StandardTriangulation , false >::utf8 | ( |  | ) | const

inherited

Returns a short text representation of this object using unicode characters.

Like str(), this text should be human-readable, should fit on a single line, and should not end with a newline. In addition, it may use unicode characters to make the output more pleasant to read. This string will be encoded in UTF-8.

Returns
  a short text representation of this object.

The documentation for this class was generated from the following file:

- subcomplex/snappeacensustri.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).